%define realversion 6.3.5
%define patchlevel 10

Summary: Image manipulation tools
Name: imagemagick
Version: %{realversion}.%{patchlevel} 
Release: 1tr
License: GPL
Source: ftp://mirror.aarnet.edu.au/pub/ImageMagick/ImageMagick-%{realversion}-%{patchlevel}.tar.bz2
Patch : ImageMagick-6.3.0-1-Magick_undefined.patch
Group: Trustix Official
BuildRequires: libjpeg-devel, libpng-devel, libxml2-devel, libtool, zlib-devel
Requires: libjpeg, libpng, libxml2, libtool, zlib
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
ImageMagick is a robust collection of tools and libraries to read, write, and
manipulate an image in any of the more popular image  formats including GIF,
JPEG, PNG, PDF, and Photo CD.


%package -n perl-image-magick
Summary: Perl Image::Magick module
Group: Trustix Official
Requires: perl

%description -n perl-image-magick
Perl module for using Image::Magick from perl scripts

%package devel
Summary: ImageMagick development headers
Group: Trustix Official
Requires: %{name} = %{version}

%description devel
Files needed to compile against ImageMagick

%prep
%setup -q -n ImageMagick-%{realversion}
#%patch -p1

%build
%configure --program-prefix="" \
           --disable-ltdl-install \
	   --enable-shared \
	   --with-threads \
	   --with-perl \
           --with-perl-options="CC='%__cc -L$PWD/magick/.libs' \
             LDDLFLAGS='-shared -L$PWD/magick/.libs'"

make 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*
%exclude %{_libdir}/perl5/site_perl/5.8.5/i586-linux-thread-multi/auto/Image/Magick
%exclude %{_libdir}/perl5/site_perl/5.8.5/i586-linux-thread-multi/Image/Magick.pm
%{_bindir}/animate
%{_bindir}/compare
%{_bindir}/composite
%{_bindir}/conjure
%{_bindir}/convert
%{_bindir}/display
%{_bindir}/identify
%{_bindir}/import
%{_bindir}/mogrify
%{_bindir}/montage
%{_bindir}/stream
%{_mandir}/man*/*
%{_datadir}/*

%files -n perl-image-magick
%defattr(-,root,root)
%{_libdir}/perl5/site_perl/5.8.5/i586-linux-thread-multi/auto/Image/Magick
%{_libdir}/perl5/site_perl/5.8.5/i586-linux-thread-multi/Image/Magick.pm

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*.pc
%{_bindir}/Magick-config
%{_bindir}/Magick++-config
%{_bindir}/Wand-config
%{_libdir}/*.so
%{_libdir}/*a
%{_includedir}/*

%changelog
* Wed Sep 26 2007 Nived Gopalan <nived at trustix dot org> 6.3.5.10-1tr
- New Upstream.
- SECURITY Fix: Some vulnerabilities have been reported in ImageMagick,
  which can be exploited by malicious people to conduct DoS attacks or
  compromise a user's system.
- Includes fix for CVE-2007-4986, CVE-2007-4987 and CVE-2007-4988.

* Thu Apr 05 2007 Nived Gopalan <nived at trustix dot org> 6.3.3.5-1tr
- New Upstream.
- SECURITY Fix: Some vulnerabilities have been reported in ImageMagick,
  which can be exploited by malicious people to compromise a vulnerable
  system.
- A integer overflow error within the "ReadDCMImage()" function can be
  exploited to cause a heap-based buffer overflow when processing
  specially crafted DCM images.
- Two integer overflows within the "ReadXWDImage()" function when 
  calculating the amount of memory to be allocated for the 'colors' or
  'comment' fields can be exploited to cause heap-based buffer overflows
   when processing specially crafted XWD images.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CVE-2007-1797 to this issue.

* Mon Nov 13 2006 Bipin S <bipin at trustix dot org> 6.3.0.1-2tr
- Fixed undefined symbols, Bug #2035.

* Wed Nov 01 2006 Bipin S <bipin at trustix dot org> 6.3.0.1-1tr
- New upstream.

* Fri Aug 25 2006 Nived Gopalan <nived at trustix dot org> 6.2.9.1-1tr
- New Upstream.
- SECURITY Fix: Tavis Ormandy has reported some vulnerabilities in
  ImageMagick, which potentially can be exploited by malicious people
  to compromise a vulnerable system.
- Fix boundary errors within the "DecodeBitmap()" function and the
  "ReadSUNImage()" function in sun.c which can be exploited to cause
  heap-based buffer overflows when processing specially crafted
  Sun Rasterfile images.
- Fix boundary errors within the XCF image decoder which can be
  exploited to cause a stack-based and a heap-based overflow when
  processing specially crafted XCF image files.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the names CVE-2006-3744 and CVE-2006-3743 to this issue.

* Thu Aug 17 2006 Nived Gopalan <nived at trustix dot org> 6.2.9-1tr
- New Upstream.
- SECURITY Fix: Damian Put has discovered a vulnerability in ImageMagick,
  which can be exploited by malicious people to cause a DoS (Denial of
  Service) or potentially compromise a user's system. The vulnerability
  is caused due to an integer overflow in the "ReadSGIImage()" function
  when decoding SGI image files.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CVE-2006-4144 to this issue.

* Fri Jan 27 2006 Bipin S <bipin at trustix dot org> 6.2.6-1tr
- New Upstream.
- Removed %{_libdir}/libltdl.* from spec.
- Added with-perl-options in configure

* Fri Jul 01 2005 Ajith Thampi <ajith at comodo dot com> 6.2.3-1tr
- Fixed an obscure heap-overflow vulnerability in the PNM reader reported by 
  Damian Put.
- Fixed memory overflow computation.
		
* Tue Apr 26 2005 Ajith Thampi <ajith at comodo dot com> 6.2.2-2tr
- Remote exploitation of a heap overflow vulnerability could allow 
  execution of arbitrary code or couse denial of service.A heap overflow
  exists in ReadPNMImage() function, that is used to decode a PNM image files.
- Fix Silent File Conflicts

* Tue Apr 26 2005 Ajith Thampi <ajith at comodo dot com> 6.2.2-1tr
- New Upstream
- Fixes Heap Overflow Vulnerability

* Fri Apr 01 2005 Bipin S <bipin at comodo dot com> 6.2.1-2tr
- Imported from tsl-2.2 contribs. 

* Tue Feb 08 2005 Raghu <raghu at comodo dot com>6.1.8-1ra
- New Upstream

* Tue Nov 16 2004 Chr. Toldnes <christht at trustix dot org> 6.1.4-2ct
- Cleanup for official contrib

* Sun Nov 14 2004 Morten Nilsen <morten@nilsen.com>
- Upgrade and clean up package

* Mon Oct 20 2003 Morten Nilsen <morten@nilsen.com>
- made initial cut
